Bug 502349 - Rhythmbox doesn't fetch and display album art
Rhythmbox doesn't fetch and display album art
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-24 08:11 EDT by Daniel Qarras
Modified: 2009-09-17 10:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-17 10:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2009-05-24 08:11:20 EDT
Description of problem:
As was earlier in Bug 447024, Rhythmbox does not display album info or art for some well known CDs (e.g., Led Zeppelin - Mothership). This used to work out of box with F10, but now I see no info, art nor errors:

localhost:~> rhythmbox

And still "Unknown Audio" is displayed. Tested with both default settings and by disabling / enabling different plugins. Turned avahi-daemon on and firewall off to no avail.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert a well-known CD into the CD drive
2. Start Rhythmbox
3. Choose Devices / Unknown Audio, hit Play
Actual results:
No album info displayed.

Expected results:
Album info displayed.

Additional info:
For some reason Rhythmbox does not realize that a CD is inserted by itself, I need to launch File Browser and open the CD folder to get the CD visible in RB, not sure is this related.
Comment 1 Bug Zapper 2009-06-09 12:28:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Christopher Beland 2009-07-17 14:44:52 EDT
With the same rhythmbox-0.12.1-3.fc11.i586, I am seeing cover art and album info OK for "Primitive Radio Gods - Rocket" and "Madonna - Music".  When I insert a CD, it does automatically show up in Rhythmbox, though it does take a few seconds to kick in.

I assume you have tested for this issue with several different CDs?

Are you getting CD track info loaded over the network OK in other applications, such as grip?

If you run "rhythmbox -d", what do you get in the output from that, and in /var/log/messages, at the time you insert the CD?  Does the "Audio CD" icon appear on the desktop automatically?


Fedora Bugzappers volunteer triage team
Comment 3 Daniel Qarras 2009-09-17 10:55:09 EDT
Thanks for looking into this.

I think this was/is caused by


I will close this now and reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.